Subject: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: martin rudalics <[email-masked]>
Date: Thu, 01 Jan 2009 17:09:56 +0100

>> Since the `display-graphic-p' test is not useful anyway
 >
 > What makes you say that? Is it already tested before we get to this point?

No one hinders people to call `modify-all-frames-parameters' with
tool-bar-lines 1.  So if we really have to check this, we have to do it
in `modify-frame-parameters'.  Doing it just in `tool-bar-mode' is not
sufficient.

martin